import torch.nn as nn

class SISUGenerator(nn.Module):
    def __init__(self, upscale_scale=1): # No noise_dim parameter
        super(SISUGenerator, self).__init__()
        self.model = nn.Sequential(
            nn.Conv1d(2, 128, kernel_size=3, padding=1),
            nn.Conv1d(128, 256, kernel_size=3, padding=1),

            nn.Upsample(scale_factor=upscale_scale, mode='nearest'),

            nn.Conv1d(256, 128, kernel_size=3, padding=1),
            nn.Conv1d(128, 64, kernel_size=3, padding=1),
            nn.Conv1d(64, 2, kernel_size=3, padding=1)
        )

    def forward(self, x):
        return self.model(x)
